#!/usr/bin/env node
import l from "yargs";
import { hideBin as p } from "yargs/helpers";
import { MODULE_NAME as u } from "./utils/const.mjs";
import { SubcommandEnum as o } from "./utils/types.mjs";
import { handler as i, subHandler as r } from "./handler.mjs";
import a from "chalk";
import t from "./injectInfo.json.mjs";
import m from "lodash.curry";
const c = u, g = (e, n) => {
  console.log(e ? a.red(e) : a.red(n.message)), process.exit(1);
}, f = t.description, b = `Usage: $0 ${c} <command> [options]`, h = "Usage: $0 <command> [options]", s = (e) => e.command({
  command: `${o.ADD} <name>`,
  describe: "新增一个组件",
  builder: (n) => n.positional("name", {
    describe: "组件名称",
    type: "string"
  }),
  handler: m(r)(o.ADD)
}).command({
  command: `${o.REMOVE} [name]`,
  describe: "删除一个组件",
  builder: (n) => n.positional("name", {
    describe: "组件名称",
    type: "string"
  }),
  handler: m(r)(o.REMOVE)
}).command({
  command: o.LIST,
  describe: "展示组件列表",
  handler: m(r)(o.LIST)
}).demandCommand(1), d = (e, n = !1) => n ? s(e.strict().usage(b)) : s(
  e.strict().usage(h).help("help").version(t.version).alias("v", "version").alias("h", "help")
).fail(g).argv, v = (e) => d(e, !0), A = {
  command: c,
  describe: f,
  builder: v,
  handler: i
}, I = async () => {
  const e = l(p(process.argv)), n = await d(e);
  return i(n);
};
export {
  A as command,
  I as createCli
};
