#!/usr/bin/env node
import o from "chalk";
import i from "node:path";
import c from "node:fs";
import { getConfig as m } from "./config.mjs";
import { getComponentEnvData as f } from "./env-data.mjs";
const p = (t) => {
  const { componentDir: e, nameExcludes: n } = t;
  return c.statSync(e).isDirectory() ? c.readdirSync(e).map((s) => {
    const r = i.join(e, s);
    return c.statSync(r).isDirectory() ? (console.log("filePath:", r, i.basename(r)), i.basename(r)) : "";
  }).filter((s) => !(!s || n.includes(s))) : (console.log(o.red("组件源码路径不是目录")), process.exit(1));
}, v = async () => {
  console.log(o.blue("展示列表"));
  const t = m(), e = p(t);
  console.table(
    e.map((n) => {
      const { name: l, fullName: a } = f({
        ...t,
        name: n
      });
      return {
        [o.green("名称")]: l,
        [o.green("带系列名称")]: a,
        [o.green("绝对路径")]: i.resolve(t.componentDir, n)
      };
    })
  );
};
export {
  p as getComponentList,
  v as listComponent
};
